Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseCursor..::.Close Method
BaseCursor Class See Also Send Feedback

Discard the cursor. If you do not close the cursor before closing the database handle or the transaction handle that owns this cursor, then, closing a database handle or a transaction handle closes these open cursors.

It is possible for the Close() method to throw a DeadlockException, signaling that any enclosing transaction should be aborted. If the application is already intending to abort the transaction, this error should be ignored, and the application should proceed.

After Close has been called, regardless of its result, the object may not be used again.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public void Close()

Visual Basic (Declaration)
    Public Sub Close

Visual C++
    public:
    void Close()

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DeadlockException |

# See Also

BaseCursor Class
BerkeleyDB Namespace